## oem-alps-touchpad-1521052-dkms 1oem6

=== oem-alps-touchpad-1521052/Makefile ===
#
# Makefile for the mouse drivers.
#

# Each configuration option enables a list of files.

obj-$(CONFIG_MOUSE_AMIGA)		+= amimouse.o
obj-$(CONFIG_MOUSE_APPLETOUCH)		+= appletouch.o
obj-$(CONFIG_MOUSE_ATARI)		+= atarimouse.o
obj-$(CONFIG_MOUSE_BCM5974)		+= bcm5974.o
obj-$(CONFIG_MOUSE_CYAPA)		+= cyapa.o
obj-$(CONFIG_MOUSE_ELAN_I2C)		+= elan_i2c.o
obj-$(CONFIG_MOUSE_GPIO)		+= gpio_mouse.o
obj-$(CONFIG_MOUSE_INPORT)		+= inport.o
obj-$(CONFIG_MOUSE_LOGIBM)		+= logibm.o
obj-$(CONFIG_MOUSE_MAPLE)		+= maplemouse.o
obj-$(CONFIG_MOUSE_NAVPOINT_PXA27x)	+= navpoint.o
obj-$(CONFIG_MOUSE_PC110PAD)		+= pc110pad.o
obj-$(CONFIG_MOUSE_PS2)			+= psmouse.o
obj-$(CONFIG_MOUSE_PXA930_TRKBALL)	+= pxa930_trkball.o
obj-$(CONFIG_MOUSE_RISCPC)		+= rpcmouse.o
obj-$(CONFIG_MOUSE_SERIAL)		+= sermouse.o
obj-$(CONFIG_MOUSE_SYNAPTICS_I2C)	+= synaptics_i2c.o
obj-$(CONFIG_MOUSE_SYNAPTICS_USB)	+= synaptics_usb.o
obj-$(CONFIG_MOUSE_VSXXXAA)		+= vsxxxaa.o

psmouse-objs := psmouse-base.o synaptics.o focaltech.o

psmouse-$(CONFIG_MOUSE_PS2_ALPS)	+= alps.o
psmouse-$(CONFIG_MOUSE_PS2_ELANTECH)	+= elantech.o
psmouse-$(CONFIG_MOUSE_PS2_OLPC)	+= hgpk.o
psmouse-$(CONFIG_MOUSE_PS2_LOGIPS2PP)	+= logips2pp.o
psmouse-$(CONFIG_MOUSE_PS2_LIFEBOOK)	+= lifebook.o
psmouse-$(CONFIG_MOUSE_PS2_SENTELIC)	+= sentelic.o
psmouse-$(CONFIG_MOUSE_PS2_TRACKPOINT)	+= trackpoint.o
psmouse-$(CONFIG_MOUSE_PS2_TOUCHKIT)	+= touchkit_ps2.o
psmouse-$(CONFIG_MOUSE_PS2_CYPRESS)	+= cypress_ps2.o
psmouse-$(CONFIG_MOUSE_PS2_VMMOUSE)	+= vmmouse.o

elan_i2c-objs := elan_i2c_core.o
elan_i2c-$(CONFIG_MOUSE_ELAN_I2C_I2C)	+= elan_i2c_i2c.o
elan_i2c-$(CONFIG_MOUSE_ELAN_I2C_SMBUS)	+= elan_i2c_smbus.o

all: modules

modules clean:
	$(MAKE) -C /lib/modules/$(kernelver)/build M=`pwd` $@

.PHONY:	all modules clean

=== debian/changelog ===
oem-alps-touchpad-1521052-dkms (1oem6) trusty; urgency=medium

  * Used kversion instead of the uname. LP:#1554969 

 -- Li-Hao Liao (Leon Liao) <leon.liao@canonical.com>  Tue, 15 Mar 2016 16:53:47 +0800

oem-alps-touchpad-1521052-dkms (1oem5) trusty; urgency=medium

  * Remove the modealiases. LP:#1554969
  * This dkms only is built in kernel version 3.19.[34].* . LP:#1554969

 -- Li-Hao Liao (Leon Liao) <leon.liao@canonical.com>  Tue, 15 Mar 2016 11:26:47 +0800

oem-alps-touchpad-1521052-dkms (1oem4) trusty; urgency=medium

  * Fix installation fail issue.
  * Porting driver from lp:1521866 comments #13.

 -- Cyrus Lien <cyrus.lien@canonical.com>  Tue, 29 Dec 2015 12:35:25 +0800

oem-alps-touchpad-1521052-dkms (1oem3) trusty; urgency=medium

  * Alps new driver for LP:#1521866

 -- Li-Hao Liao (Leon Liao) <leon.liao@canonical.com>  Tue, 22 Dec 2015 14:37:52 +0800

oem-alps-touchpad-1521052-dkms (1oem2) trusty; urgency=medium

  * Bump the version to 1ome2

 -- Li-Hao Liao (Leon Liao) <leon.liao@canonical.com>  Tue, 01 Dec 2015 12:03:13 +0800

oem-alps-touchpad-1521052-dkms (1oem1) trusty; urgency=low

  * Backport and integrate alps source code by HWE
    - https://bugs.launchpad.net/somerville/hwe-somerville/+bug/1510491/comments/11

 -- Li-Hao Liao (Leon Liao) <leon.liao@canonical.com>  Mon, 30 Nov 2015 13:50:49 +0800

=== debian/control ===
Source: oem-alps-touchpad-1521052-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 3.8.1

Package: oem-alps-touchpad-1521052-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: oem-alps-touchpad-1521052 driver in DKMS format.
XB-Modaliases: ${modaliases}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=oem-alps-touchpad-1521052
NAME=oem-alps-touchpad-1521052
VERSION=1oem6

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## oem-alps-touchpad-1521052-dkms 1oem7

=== oem-alps-touchpad-1521052/Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 all: modules
 
 modules clean:
-	$(MAKE) -C /lib/modules/$(kernelver)/build M=`pwd` $@
+	$(MAKE) -C /lib/modules/$(KVER)/build M=`pwd` $@
 
 .PHONY:	all modules clean

=== debian/changelog ===
oem-alps-touchpad-1521052-dkms (1oem7) trusty; urgency=medium

  * Fix the kernel version when upgrade kenrel. (LP: #1584608)

 -- Li-Hao Liao (Leon Liao) <leon.liao@canonical.com>  Mon, 23 May 2016 16:37:10 +0800

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 DEB_NAME=oem-alps-touchpad-1521052
 NAME=oem-alps-touchpad-1521052
-VERSION=1oem6
+VERSION=1oem7
 
 configure: configure-stamp
 configure-stamp:

## oem-alps-touchpad-1521052-dkms 1oem8

=== debian/changelog ===
oem-alps-touchpad-1521052-dkms (1oem8) trusty; urgency=medium

  * Restrict to build on 3.19.* kernel

 -- Gerald Yang <gerald.yang@canonical.com>  Thu, 10 Nov 2016 13:51:35 +0800

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 DEB_NAME=oem-alps-touchpad-1521052
 NAME=oem-alps-touchpad-1521052
-VERSION=1oem7
+VERSION=1oem8
 
 configure: configure-stamp
 configure-stamp:
